import{S as $o,i as bo,s as xo,e as n,k as u,w as O,t as r,M as Oo,c as s,d as o,m as d,a,x as T,h as l,b as p,G as t,g as m,y,L as To,q as N,o as k,B as E,v as yo}from"../../../chunks/vendor-hf-doc-builder.js";import{I as be}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{C as Ye}from"../../../chunks/CodeBlock-hf-doc-builder.js";function No(It){let v,xe,w,X,oe,C,Ge,ne,Je,Oe,j,Ke,J,Ve,Ze,Te,q,M,se,L,et,ae,tt,ye,h,ot,re,nt,st,le,at,rt,ie,lt,it,me,mt,pt,Ne,S,ut,pe,dt,ht,ke,I,Ee,$,A,ue,z,ct,de,ft,Xe,c,gt,K,_t,vt,he,wt,qt,V,$t,bt,je,Q,Me,b,F,ce,D,xt,fe,Ot,Se,f,Tt,B,yt,Nt,ge,kt,Et,W,Xt,jt,Ae,U,Fe,x,R,_e,Y,Mt,ve,St,Re,Z,At,Pe,g,we,Ft,Rt,qe,Pt,Ht,$e,Ct,He,ee,Lt,Ce,G,Le;return C=new be({}),L=new be({}),I=new Ye({props:{code:`from transformers import AutoTokenizer, pipeline
-from transformers import AutoModelForQuestionAnswering
+from optimum.onnxruntime import ORTModelForQuestionAnswering

-model = AutoModelForQuestionAnswering.from_pretrained("deepset/roberta-base-squad2") # PyTorch checkpoint
+model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2") # ONNX checkpoint
tokenizer = AutoTokenizer.from_pretrained("deepset/roberta-base-squad2")

onnx_qa = pipeline("question-answering",model=model,tokenizer=tokenizer)

question = "What's my name?"
context = "My name is Philipp and I live in Nuremberg."
pred = onnx_qa(question, context)`,highlighted:`from transformers import AutoTokenizer, pipeline
<span class="hljs-deletion">-from transformers import AutoModelForQuestionAnswering</span>
<span class="hljs-addition">+from optimum.onnxruntime import ORTModelForQuestionAnswering</span>

<span class="hljs-deletion">-model = AutoModelForQuestionAnswering.from_pretrained(&quot;deepset/roberta-base-squad2&quot;) # PyTorch checkpoint</span>
<span class="hljs-addition">+model = ORTModelForQuestionAnswering.from_pretrained(&quot;optimum/roberta-base-squad2&quot;) # ONNX checkpoint</span>
tokenizer = AutoTokenizer.from_pretrained(&quot;deepset/roberta-base-squad2&quot;)

onnx_qa = pipeline(&quot;question-answering&quot;,model=model,tokenizer=tokenizer)

question = &quot;What&#x27;s my name?&quot;
context = &quot;My name is Philipp and I live in Nuremberg.&quot;
pred = onnx_qa(question, context)`}}),z=new be({}),Q=new Ye({props:{code:`from optimum.onnxruntime import ORTModelForSequenceClassification

# Load the model from the hub and export it to the ONNX format
model = ORTModelForSequenceClassification.from_pretrained(
  "distilbert-base-uncased-finetuned-sst-2-english", from_transformers=True
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Load the model from the hub and export it to the ONNX format</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(
<span class="hljs-meta">&gt;&gt;&gt; </span>  <span class="hljs-string">&quot;distilbert-base-uncased-finetuned-sst-2-english&quot;</span>, from_transformers=<span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>)`}}),D=new be({}),U=new Ye({props:{code:`from optimum.onnxruntime import ORTModelForSequenceClassification

# Load the model from the hub and export it to the ONNX format
model = ORTModelForSequenceClassification.from_pretrained(
  "distilbert-base-uncased-finetuned-sst-2-english", from_transformers=True
)

# Save the converted model
model.save_pretrained("a_local_path_for_convert_onnx_model")

model.push_to_hub(
  "a_local_path_for_convert_onnx_model", repository_id="my-onnx-repo", use_auth_token=True
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Load the model from the hub and export it to the ONNX format</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(
<span class="hljs-meta">&gt;&gt;&gt; </span>  <span class="hljs-string">&quot;distilbert-base-uncased-finetuned-sst-2-english&quot;</span>, from_transformers=<span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Save the converted model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model.save_pretrained(<span class="hljs-string">&quot;a_local_path_for_convert_onnx_model&quot;</span>)

<span class="hljs-comment"># Push the onnx model to HF Hub</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model.push_to_hub(
<span class="hljs-meta">&gt;&gt;&gt; </span>  <span class="hljs-string">&quot;a_local_path_for_convert_onnx_model&quot;</span>, repository_id=<span class="hljs-string">&quot;my-onnx-repo&quot;</span>, use_auth_token=<span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>)`}}),Y=new be({}),G=new Ye({props:{code:`from optimum.pipelines import pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

model = ORTModelForSeq2SeqLM.from_pretrained("t5-small", from_transformers=True)

onnx_translation = pipeline("translation_en_to_fr", model=model)

result = onnx_translation("My name is Eustache")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.pipelines <span class="hljs-keyword">import</span> pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-comment"># Load the model from the hub and export it to the ONNX format</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-comment"># Create a pipeline</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_fr&quot;</span>, model=model)

<span class="hljs-meta">&gt;&gt;&gt; </span>result = onnx_translation(<span class="hljs-string">&quot;My name is Eustache&quot;</span>)
[{<span class="hljs-string">&#x27;translation_text&#x27;</span>: <span class="hljs-string">&#x27;Mon nom est Eustache&#x27;</span>}]`}}),{c(){v=n("meta"),xe=u(),w=n("h1"),X=n("a"),oe=n("span"),O(C.$$.fragment),Ge=u(),ne=n("span"),Je=r("Optimum Inference with ONNX Runtime"),Oe=u(),j=n("p"),Ke=r(`Optimum is a utility package for building and running inference with accelerated runtime like ONNX Runtime.
Optimum can be used to load optimized models from the `),J=n("a"),Ve=r("Hugging Face Hub"),Ze=r(` and create pipelines
to run accelerated inference without rewriting your APIs.`),Te=u(),q=n("h2"),M=n("a"),se=n("span"),O(L.$$.fragment),et=u(),ae=n("span"),tt=r("Switching from Transformers to Optimum"),ye=u(),h=n("p"),ot=r("The "),re=n("code"),nt=r("optimum.onnxruntime.ORTModelForXXX"),st=r(` model classes are API compatible with Hugging Face Transformers models. This
means you can just replace your `),le=n("code"),at=r("AutoModelForXXX"),rt=r(" class with the corresponding "),ie=n("code"),lt=r("ORTModelForXXX"),it=r(" class in "),me=n("code"),mt=r("optimum.onnxruntime"),pt=r("."),Ne=u(),S=n("p"),ut=r("You do not need to adapt your code to get it to work with "),pe=n("code"),dt=r("ORTModelForXXX"),ht=r(" classes:"),ke=u(),O(I.$$.fragment),Ee=u(),$=n("h3"),A=n("a"),ue=n("span"),O(z.$$.fragment),ct=u(),de=n("span"),ft=r("Loading a vanilla Transformers model"),Xe=u(),c=n("p"),gt=r("Because the model you want to work with might not be already converted to ONNX,  "),K=n("a"),_t=r("ORTModel"),vt=r(`
includes a method to convert vanilla Transformers models to ONNX ones. Simply pass `),he=n("code"),wt=r("from_transformers=True"),qt=r(` to the
`),V=n("a"),$t=r("from_pretrained()"),bt=r(" method, and your model will be loaded and converted to ONNX on-the-fly:"),je=u(),O(Q.$$.fragment),Me=u(),b=n("h3"),F=n("a"),ce=n("span"),O(D.$$.fragment),xt=u(),fe=n("span"),Ot=r("Pushing ONNX models to the Hugging Face Hub"),Se=u(),f=n("p"),Tt=r("It is also possible, just as with regular "),B=n("a"),yt=r("PreTrainedModel"),Nt=r("s, to push your "),ge=n("code"),kt=r("ORTModelForXXX"),Et=r(` to the
`),W=n("a"),Xt=r("Hugging Face Model Hub"),jt=r(":"),Ae=u(),O(U.$$.fragment),Fe=u(),x=n("h2"),R=n("a"),_e=n("span"),O(Y.$$.fragment),Mt=u(),ve=n("span"),St=r("Export and inference of sequence-to-sequence models"),Re=u(),Z=n("p"),At=r(`Sequence-to-sequence (Seq2Seq) models can also be used when running inference with ONNX Runtime. When Seq2Seq models
are exported to the ONNX format, they are decomposed into three parts that are later combined during inference:`),Pe=u(),g=n("ul"),we=n("li"),Ft=r("The encoder part of the model"),Rt=u(),qe=n("li"),Pt=r("The decoder part of the model + the language modeling head"),Ht=u(),$e=n("li"),Ct=r(`The same decoder part of the model + language modeling head but taking and using pre-computed key / values as inputs and
outputs. This makes inference faster.`),He=u(),ee=n("p"),Lt=r("Here is an example of how you can load a T5 model to the ONNX format and run inference for a translation task:"),Ce=u(),O(G.$$.fragment),this.h()},l(e){const i=Oo('[data-svelte="svelte-1phssyn"]',document.head);v=s(i,"META",{name:!0,content:!0}),i.forEach(o),xe=d(e),w=s(e,"H1",{class:!0});var Ie=a(w);X=s(Ie,"A",{id:!0,class:!0,href:!0});var zt=a(X);oe=s(zt,"SPAN",{});var Qt=a(oe);T(C.$$.fragment,Qt),Qt.forEach(o),zt.forEach(o),Ge=d(Ie),ne=s(Ie,"SPAN",{});var Dt=a(ne);Je=l(Dt,"Optimum Inference with ONNX Runtime"),Dt.forEach(o),Ie.forEach(o),Oe=d(e),j=s(e,"P",{});var ze=a(j);Ke=l(ze,`Optimum is a utility package for building and running inference with accelerated runtime like ONNX Runtime.
Optimum can be used to load optimized models from the `),J=s(ze,"A",{href:!0});var Bt=a(J);Ve=l(Bt,"Hugging Face Hub"),Bt.forEach(o),Ze=l(ze,` and create pipelines
to run accelerated inference without rewriting your APIs.`),ze.forEach(o),Te=d(e),q=s(e,"H2",{class:!0});var Qe=a(q);M=s(Qe,"A",{id:!0,class:!0,href:!0});var Wt=a(M);se=s(Wt,"SPAN",{});var Ut=a(se);T(L.$$.fragment,Ut),Ut.forEach(o),Wt.forEach(o),et=d(Qe),ae=s(Qe,"SPAN",{});var Yt=a(ae);tt=l(Yt,"Switching from Transformers to Optimum"),Yt.forEach(o),Qe.forEach(o),ye=d(e),h=s(e,"P",{});var _=a(h);ot=l(_,"The "),re=s(_,"CODE",{});var Gt=a(re);nt=l(Gt,"optimum.onnxruntime.ORTModelForXXX"),Gt.forEach(o),st=l(_,` model classes are API compatible with Hugging Face Transformers models. This
means you can just replace your `),le=s(_,"CODE",{});var Jt=a(le);at=l(Jt,"AutoModelForXXX"),Jt.forEach(o),rt=l(_," class with the corresponding "),ie=s(_,"CODE",{});var Kt=a(ie);lt=l(Kt,"ORTModelForXXX"),Kt.forEach(o),it=l(_," class in "),me=s(_,"CODE",{});var Vt=a(me);mt=l(Vt,"optimum.onnxruntime"),Vt.forEach(o),pt=l(_,"."),_.forEach(o),Ne=d(e),S=s(e,"P",{});var De=a(S);ut=l(De,"You do not need to adapt your code to get it to work with "),pe=s(De,"CODE",{});var Zt=a(pe);dt=l(Zt,"ORTModelForXXX"),Zt.forEach(o),ht=l(De," classes:"),De.forEach(o),ke=d(e),T(I.$$.fragment,e),Ee=d(e),$=s(e,"H3",{class:!0});var Be=a($);A=s(Be,"A",{id:!0,class:!0,href:!0});var eo=a(A);ue=s(eo,"SPAN",{});var to=a(ue);T(z.$$.fragment,to),to.forEach(o),eo.forEach(o),ct=d(Be),de=s(Be,"SPAN",{});var oo=a(de);ft=l(oo,"Loading a vanilla Transformers model"),oo.forEach(o),Be.forEach(o),Xe=d(e),c=s(e,"P",{});var P=a(c);gt=l(P,"Because the model you want to work with might not be already converted to ONNX,  "),K=s(P,"A",{href:!0});var no=a(K);_t=l(no,"ORTModel"),no.forEach(o),vt=l(P,`
includes a method to convert vanilla Transformers models to ONNX ones. Simply pass `),he=s(P,"CODE",{});var so=a(he);wt=l(so,"from_transformers=True"),so.forEach(o),qt=l(P,` to the
`),V=s(P,"A",{href:!0});var ao=a(V);$t=l(ao,"from_pretrained()"),ao.forEach(o),bt=l(P," method, and your model will be loaded and converted to ONNX on-the-fly:"),P.forEach(o),je=d(e),T(Q.$$.fragment,e),Me=d(e),b=s(e,"H3",{class:!0});var We=a(b);F=s(We,"A",{id:!0,class:!0,href:!0});var ro=a(F);ce=s(ro,"SPAN",{});var lo=a(ce);T(D.$$.fragment,lo),lo.forEach(o),ro.forEach(o),xt=d(We),fe=s(We,"SPAN",{});var io=a(fe);Ot=l(io,"Pushing ONNX models to the Hugging Face Hub"),io.forEach(o),We.forEach(o),Se=d(e),f=s(e,"P",{});var H=a(f);Tt=l(H,"It is also possible, just as with regular "),B=s(H,"A",{href:!0,rel:!0});var mo=a(B);yt=l(mo,"PreTrainedModel"),mo.forEach(o),Nt=l(H,"s, to push your "),ge=s(H,"CODE",{});var po=a(ge);kt=l(po,"ORTModelForXXX"),po.forEach(o),Et=l(H,` to the
`),W=s(H,"A",{href:!0,rel:!0});var uo=a(W);Xt=l(uo,"Hugging Face Model Hub"),uo.forEach(o),jt=l(H,":"),H.forEach(o),Ae=d(e),T(U.$$.fragment,e),Fe=d(e),x=s(e,"H2",{class:!0});var Ue=a(x);R=s(Ue,"A",{id:!0,class:!0,href:!0});var ho=a(R);_e=s(ho,"SPAN",{});var co=a(_e);T(Y.$$.fragment,co),co.forEach(o),ho.forEach(o),Mt=d(Ue),ve=s(Ue,"SPAN",{});var fo=a(ve);St=l(fo,"Export and inference of sequence-to-sequence models"),fo.forEach(o),Ue.forEach(o),Re=d(e),Z=s(e,"P",{});var go=a(Z);At=l(go,`Sequence-to-sequence (Seq2Seq) models can also be used when running inference with ONNX Runtime. When Seq2Seq models
are exported to the ONNX format, they are decomposed into three parts that are later combined during inference:`),go.forEach(o),Pe=d(e),g=s(e,"UL",{});var te=a(g);we=s(te,"LI",{});var _o=a(we);Ft=l(_o,"The encoder part of the model"),_o.forEach(o),Rt=d(te),qe=s(te,"LI",{});var vo=a(qe);Pt=l(vo,"The decoder part of the model + the language modeling head"),vo.forEach(o),Ht=d(te),$e=s(te,"LI",{});var wo=a($e);Ct=l(wo,`The same decoder part of the model + language modeling head but taking and using pre-computed key / values as inputs and
outputs. This makes inference faster.`),wo.forEach(o),te.forEach(o),He=d(e),ee=s(e,"P",{});var qo=a(ee);Lt=l(qo,"Here is an example of how you can load a T5 model to the ONNX format and run inference for a translation task:"),qo.forEach(o),Ce=d(e),T(G.$$.fragment,e),this.h()},h(){p(v,"name","hf:doc:metadata"),p(v,"content",JSON.stringify(ko)),p(X,"id","optimum-inference-with-onnx-runtime"),p(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(X,"href","#optimum-inference-with-onnx-runtime"),p(w,"class","relative group"),p(J,"href","hf.co/models"),p(M,"id","switching-from-transformers-to-optimum"),p(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(M,"href","#switching-from-transformers-to-optimum"),p(q,"class","relative group"),p(A,"id","loading-a-vanilla-transformers-model"),p(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(A,"href","#loading-a-vanilla-transformers-model"),p($,"class","relative group"),p(K,"href","/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),p(V,"href","/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained"),p(F,"id","pushing-onnx-models-to-the-hugging-face-hub"),p(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(F,"href","#pushing-onnx-models-to-the-hugging-face-hub"),p(b,"class","relative group"),p(B,"href","https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),p(B,"rel","nofollow"),p(W,"href","https://hf.co/models"),p(W,"rel","nofollow"),p(R,"id","export-and-inference-of-sequencetosequence-models"),p(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(R,"href","#export-and-inference-of-sequencetosequence-models"),p(x,"class","relative group")},m(e,i){t(document.head,v),m(e,xe,i),m(e,w,i),t(w,X),t(X,oe),y(C,oe,null),t(w,Ge),t(w,ne),t(ne,Je),m(e,Oe,i),m(e,j,i),t(j,Ke),t(j,J),t(J,Ve),t(j,Ze),m(e,Te,i),m(e,q,i),t(q,M),t(M,se),y(L,se,null),t(q,et),t(q,ae),t(ae,tt),m(e,ye,i),m(e,h,i),t(h,ot),t(h,re),t(re,nt),t(h,st),t(h,le),t(le,at),t(h,rt),t(h,ie),t(ie,lt),t(h,it),t(h,me),t(me,mt),t(h,pt),m(e,Ne,i),m(e,S,i),t(S,ut),t(S,pe),t(pe,dt),t(S,ht),m(e,ke,i),y(I,e,i),m(e,Ee,i),m(e,$,i),t($,A),t(A,ue),y(z,ue,null),t($,ct),t($,de),t(de,ft),m(e,Xe,i),m(e,c,i),t(c,gt),t(c,K),t(K,_t),t(c,vt),t(c,he),t(he,wt),t(c,qt),t(c,V),t(V,$t),t(c,bt),m(e,je,i),y(Q,e,i),m(e,Me,i),m(e,b,i),t(b,F),t(F,ce),y(D,ce,null),t(b,xt),t(b,fe),t(fe,Ot),m(e,Se,i),m(e,f,i),t(f,Tt),t(f,B),t(B,yt),t(f,Nt),t(f,ge),t(ge,kt),t(f,Et),t(f,W),t(W,Xt),t(f,jt),m(e,Ae,i),y(U,e,i),m(e,Fe,i),m(e,x,i),t(x,R),t(R,_e),y(Y,_e,null),t(x,Mt),t(x,ve),t(ve,St),m(e,Re,i),m(e,Z,i),t(Z,At),m(e,Pe,i),m(e,g,i),t(g,we),t(we,Ft),t(g,Rt),t(g,qe),t(qe,Pt),t(g,Ht),t(g,$e),t($e,Ct),m(e,He,i),m(e,ee,i),t(ee,Lt),m(e,Ce,i),y(G,e,i),Le=!0},p:To,i(e){Le||(N(C.$$.fragment,e),N(L.$$.fragment,e),N(I.$$.fragment,e),N(z.$$.fragment,e),N(Q.$$.fragment,e),N(D.$$.fragment,e),N(U.$$.fragment,e),N(Y.$$.fragment,e),N(G.$$.fragment,e),Le=!0)},o(e){k(C.$$.fragment,e),k(L.$$.fragment,e),k(I.$$.fragment,e),k(z.$$.fragment,e),k(Q.$$.fragment,e),k(D.$$.fragment,e),k(U.$$.fragment,e),k(Y.$$.fragment,e),k(G.$$.fragment,e),Le=!1},d(e){o(v),e&&o(xe),e&&o(w),E(C),e&&o(Oe),e&&o(j),e&&o(Te),e&&o(q),E(L),e&&o(ye),e&&o(h),e&&o(Ne),e&&o(S),e&&o(ke),E(I,e),e&&o(Ee),e&&o($),E(z),e&&o(Xe),e&&o(c),e&&o(je),E(Q,e),e&&o(Me),e&&o(b),E(D),e&&o(Se),e&&o(f),e&&o(Ae),E(U,e),e&&o(Fe),e&&o(x),E(Y),e&&o(Re),e&&o(Z),e&&o(Pe),e&&o(g),e&&o(He),e&&o(ee),e&&o(Ce),E(G,e)}}}const ko={local:"optimum-inference-with-onnx-runtime",sections:[{local:"switching-from-transformers-to-optimum",sections:[{local:"loading-a-vanilla-transformers-model",title:"Loading a vanilla Transformers model"},{local:"pushing-onnx-models-to-the-hugging-face-hub",title:"Pushing ONNX models to the Hugging Face Hub"}],title:"Switching from Transformers to Optimum"},{local:"export-and-inference-of-sequencetosequence-models",title:"Export and inference of sequence-to-sequence models"}],title:"Optimum Inference with ONNX Runtime"};function Eo(It){return yo(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class So extends $o{constructor(v){super();bo(this,v,Eo,No,xo,{})}}export{So as default,ko as metadata};
