import{S as Po,i as Ro,s as Io,e as a,k as u,w as d,t as o,M as Co,c as n,d as r,m as f,a as s,x as c,h as i,b as l,G as t,g as p,y as h,L as Ho,q as g,o as _,B as v,v as So}from"../chunks/vendor-hf-doc-builder.js";import{I as K}from"../chunks/IconCopyLink-hf-doc-builder.js";import{C as Oe}from"../chunks/CodeBlock-hf-doc-builder.js";function Xo(za){let N,gt,j,M,Me,W,er,Fe,tr,_t,Ee,rr,vt,P,F,De,Z,ar,Ue,or,Tt,R,D,Ge,ee,nr,Qe,ir,wt,T,sr,Ve,lr,mr,Ye,pr,ur,Le,fr,dr,$t,w,cr,te,Be,hr,gr,re,Je,_r,vr,Ke,Tr,wr,xt,ae,yt,ze,$r,At,oe,kt,x,xr,We,yr,Ar,Ze,kr,qr,qt,ne,bt,y,br,ie,Or,Er,se,zr,Nr,Ot,I,U,et,le,jr,tt,Pr,Et,$,Rr,rt,Ir,Cr,at,Hr,Sr,ot,Xr,Mr,zt,me,Nt,A,Fr,pe,Dr,Ur,ue,Gr,Qr,jt,C,G,nt,fe,Vr,it,Yr,Pt,H,Q,st,de,Lr,lt,Br,Rt,k,Jr,mt,Kr,Wr,ce,Zr,ea,It,he,Ct,q,ta,ge,ra,aa,_e,oa,na,Ht,S,V,pt,ve,ia,ut,sa,St,b,la,ft,ma,pa,Te,ua,fa,Xt,we,Mt,O,da,$e,ca,ha,xe,ga,_a,Ft,X,Y,dt,ye,va,ct,Ta,Dt,E,wa,ht,$a,xa,Ae,ya,Aa,Ut,ke,Gt,z,ka,qe,qa,ba,be,Oa,Ea,Qt;return W=new K({}),Z=new K({}),ee=new K({}),ae=new Oe({props:{code:`from optimum.onnxruntime import ORTModelForSequenceClassification
from transformers import AutoTokenizer

model_checkpoint = "distilbert-base-uncased-finetuned-sst-2-english"
save_directory = "tmp/onnx/"
# Load a model from transformers and export it to ONNX
tokenizer = AutoTokenizer.from_pretrained(model_checkpoint)
ort_model = ORTModelForSequenceClassification.from_pretrained(model_checkpoint, from_transformers=True)
# Save the ONNX model and tokenizer
ort_model.save_pretrained(save_directory)
tokenizer.save_pretrained(save_directory)`,highlighted:`<span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer

model_checkpoint = <span class="hljs-string">&quot;distilbert-base-uncased-finetuned-sst-2-english&quot;</span>
save_directory = <span class="hljs-string">&quot;tmp/onnx/&quot;</span>
<span class="hljs-comment"># Load a model from transformers and export it to ONNX</span>
tokenizer = AutoTokenizer.from_pretrained(model_checkpoint)
ort_model = ORTModelForSequenceClassification.from_pretrained(model_checkpoint, from_transformers=<span class="hljs-literal">True</span>)
<span class="hljs-comment"># Save the ONNX model and tokenizer</span>
ort_model.save_pretrained(save_directory)
tokenizer.save_pretrained(save_directory)`}}),oe=new Oe({props:{code:`from optimum.onnxruntime.configuration import AutoQuantizationConfig
from optimum.onnxruntime import ORTQuantizer

# Define the quantization methodology
qconfig = AutoQuantizationConfig.arm64(is_static=False, per_channel=False)
quantizer = ORTQuantizer.from_pretrained(ort_model)
# Apply dynamic quantization on the model
quantizer.quantize(save_dir=save_directory, quantization_config=qconfig)`,highlighted:`<span class="hljs-keyword">from</span> optimum.onnxruntime.configuration <span class="hljs-keyword">import</span> AutoQuantizationConfig
<span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTQuantizer

<span class="hljs-comment"># Define the quantization methodology</span>
qconfig = AutoQuantizationConfig.arm64(is_static=<span class="hljs-literal">False</span>, per_channel=<span class="hljs-literal">False</span>)
quantizer = ORTQuantizer.from_pretrained(ort_model)
<span class="hljs-comment"># Apply dynamic quantization on the model</span>
quantizer.quantize(save_dir=save_directory, quantization_config=qconfig)`}}),ne=new Oe({props:{code:`from optimum.onnxruntime import ORTModelForSequenceClassification
from transformers import pipeline, AutoTokenizer

model = ORTModelForSequenceClassification.from_pretrained(save_directory, file_name="model_quantized.onnx")
tokenizer = AutoTokenizer.from_pretrained(save_directory)
classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)
results = classifier("I love burritos!")`,highlighted:`<span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline, AutoTokenizer

model = ORTModelForSequenceClassification.from_pretrained(save_directory, file_name=<span class="hljs-string">&quot;model_quantized.onnx&quot;</span>)
tokenizer = AutoTokenizer.from_pretrained(save_directory)
classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)
results = classifier(<span class="hljs-string">&quot;I love burritos!&quot;</span>)`}}),le=new K({}),me=new Oe({props:{code:`- from transformers import AutoModelForSequenceClassification
+ from optimum.intel.openvino import OVModelForSequenceClassification
  from transformers import AutoTokenizer, pipeline

  # Download a tokenizer and model from the Hub and convert to OpenVINO format
  tokenizer = AutoTokenizer.from_pretrained(model_id)
  model_id = "distilbert-base-uncased-finetuned-sst-2-english"
- model = AutoModelForSequenceClassification.from_pretrained(model_id)
+ model = OVModelForSequenceClassification.from_pretrained(model_id, from_transformers=True)

  # Run inference!
  classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)
  results = classifier("He's a dreadful magician.")`,highlighted:`<span class="hljs-deletion">- from transformers import AutoModelForSequenceClassification</span>
<span class="hljs-addition">+ from optimum.intel.openvino import OVModelForSequenceClassification</span>
  from transformers import AutoTokenizer, pipeline

  # Download a tokenizer and model from the Hub and convert to OpenVINO format
  tokenizer = AutoTokenizer.from_pretrained(model_id)
  model_id = &quot;distilbert-base-uncased-finetuned-sst-2-english&quot;
<span class="hljs-deletion">- model = AutoModelForSequenceClassification.from_pretrained(model_id)</span>
<span class="hljs-addition">+ model = OVModelForSequenceClassification.from_pretrained(model_id, from_transformers=True)</span>

  # Run inference!
  classifier = pipeline(&quot;text-classification&quot;, model=model, tokenizer=tokenizer)
  results = classifier(&quot;He&#x27;s a dreadful magician.&quot;)`}}),fe=new K({}),de=new K({}),he=new Oe({props:{code:`- from transformers import Trainer, TrainingArguments
+ from optimum.habana import GaudiTrainer, GaudiTrainingArguments

  # Download a pretrained model from the Hub
  model = AutoModelForXxx.from_pretrained("bert-base-uncased")

  # Define the training arguments
- training_args = TrainingArguments(
+ training_args = GaudiTrainingArguments(
      output_dir="path/to/save/folder/",
+     use_habana=True,
+     use_lazy_mode=True,
+     gaudi_config_name="Habana/bert-base-uncased",
      ...
  )

  # Initialize the trainer
- trainer = Trainer(
+ trainer = GaudiTrainer(
      model=model,
      args=training_args,
      train_dataset=train_dataset,
      ...
  )

  # Use Habana Gaudi processor for training!
  trainer.train()`,highlighted:`<span class="hljs-deletion">- from transformers import Trainer, TrainingArguments</span>
<span class="hljs-addition">+ from optimum.habana import GaudiTrainer, GaudiTrainingArguments</span>

  # Download a pretrained model from the Hub
  model = AutoModelForXxx.from_pretrained(&quot;bert-base-uncased&quot;)

  # Define the training arguments
<span class="hljs-deletion">- training_args = TrainingArguments(</span>
<span class="hljs-addition">+ training_args = GaudiTrainingArguments(</span>
      output_dir=&quot;path/to/save/folder/&quot;,
<span class="hljs-addition">+     use_habana=True,</span>
<span class="hljs-addition">+     use_lazy_mode=True,</span>
<span class="hljs-addition">+     gaudi_config_name=&quot;Habana/bert-base-uncased&quot;,</span>
      ...
  )

  # Initialize the trainer
<span class="hljs-deletion">- trainer = Trainer(</span>
<span class="hljs-addition">+ trainer = GaudiTrainer(</span>
      model=model,
      args=training_args,
      train_dataset=train_dataset,
      ...
  )

  # Use Habana Gaudi processor for training!
  trainer.train()`}}),ve=new K({}),we=new Oe({props:{code:`- from transformers import Trainer, TrainingArguments
+ from optimum.graphcore import IPUConfig, IPUTrainer, IPUTrainingArguments

  # Download a pretrained model from the Hub
  model = AutoModelForXxx.from_pretrained("bert-base-uncased")

  # Define the training arguments
- training_args = TrainingArguments(
+ training_args = IPUTrainingArguments(
      output_dir="path/to/save/folder/",
+     ipu_config_name="Graphcore/bert-base-ipu", # Any IPUConfig on the Hub or stored locally
      ...
  )

  # Define the configuration to compile and put the model on the IPU
+ ipu_config = IPUConfig.from_pretrained(training_args.ipu_config_name)

  # Initialize the trainer
- trainer = Trainer(
+ trainer = IPUTrainer(
      model=model,
+     ipu_config=ipu_config
      args=training_args,
      train_dataset=train_dataset
      ...
  )

  # Use Graphcore IPU for training!
  trainer.train()`,highlighted:`<span class="hljs-deletion">- from transformers import Trainer, TrainingArguments</span>
<span class="hljs-addition">+ from optimum.graphcore import IPUConfig, IPUTrainer, IPUTrainingArguments</span>

  # Download a pretrained model from the Hub
  model = AutoModelForXxx.from_pretrained(&quot;bert-base-uncased&quot;)

  # Define the training arguments
<span class="hljs-deletion">- training_args = TrainingArguments(</span>
<span class="hljs-addition">+ training_args = IPUTrainingArguments(</span>
      output_dir=&quot;path/to/save/folder/&quot;,
<span class="hljs-addition">+     ipu_config_name=&quot;Graphcore/bert-base-ipu&quot;, # Any IPUConfig on the Hub or stored locally</span>
      ...
  )

  # Define the configuration to compile and put the model on the IPU
<span class="hljs-addition">+ ipu_config = IPUConfig.from_pretrained(training_args.ipu_config_name)</span>

  # Initialize the trainer
<span class="hljs-deletion">- trainer = Trainer(</span>
<span class="hljs-addition">+ trainer = IPUTrainer(</span>
      model=model,
<span class="hljs-addition">+     ipu_config=ipu_config</span>
      args=training_args,
      train_dataset=train_dataset
      ...
  )

  # Use Graphcore IPU for training!
  trainer.train()`}}),ye=new K({}),ke=new Oe({props:{code:`- from transformers import Trainer, TrainingArguments
+ from optimum.onnxruntime import ORTTrainer, ORTTrainingArguments

  # Download a pretrained model from the Hub
  model = AutoModelForSequenceClassification.from_pretrained("bert-base-uncased")

  # Define the training arguments
- training_args = TrainingArguments(
+ training_args = ORTTrainingArguments(
      output_dir="path/to/save/folder/",
      optim="adamw_ort_fused",
      ...
  )

  # Create a ONNX Runtime Trainer
- trainer = Trainer(
+ trainer = ORTTrainer(
      model=model,
      args=training_args,
      train_dataset=train_dataset,
+     feature="sequence-classification", # The model type to export to ONNX
      ...
  )

  # Use ONNX Runtime for training!
  trainer.train()`,highlighted:`<span class="hljs-deletion">- from transformers import Trainer, TrainingArguments</span>
<span class="hljs-addition">+ from optimum.onnxruntime import ORTTrainer, ORTTrainingArguments</span>

  # Download a pretrained model from the Hub
  model = AutoModelForSequenceClassification.from_pretrained(&quot;bert-base-uncased&quot;)

  # Define the training arguments
<span class="hljs-deletion">- training_args = TrainingArguments(</span>
<span class="hljs-addition">+ training_args = ORTTrainingArguments(</span>
      output_dir=&quot;path/to/save/folder/&quot;,
      optim=&quot;adamw_ort_fused&quot;,
      ...
  )

  # Create a ONNX Runtime Trainer
<span class="hljs-deletion">- trainer = Trainer(</span>
<span class="hljs-addition">+ trainer = ORTTrainer(</span>
      model=model,
      args=training_args,
      train_dataset=train_dataset,
<span class="hljs-addition">+     feature=&quot;sequence-classification&quot;, # The model type to export to ONNX</span>
      ...
  )

  # Use ONNX Runtime for training!
  trainer.train()`}}),{c(){N=a("meta"),gt=u(),j=a("h1"),M=a("a"),Me=a("span"),d(W.$$.fragment),er=u(),Fe=a("span"),tr=o("Quick tour"),_t=u(),Ee=a("p"),rr=o("This quick tour is intended for developers who are ready to dive into the code and see examples of how to integrate \u{1F917} Optimum into their model training and inference workflows."),vt=u(),P=a("h2"),F=a("a"),De=a("span"),d(Z.$$.fragment),ar=u(),Ue=a("span"),or=o("Accelerated inference"),Tt=u(),R=a("h4"),D=a("a"),Ge=a("span"),d(ee.$$.fragment),nr=u(),Qe=a("span"),ir=o("ONNX Runtime"),wt=u(),T=a("p"),sr=o("To accelerate inference with ONNX Runtime, \u{1F917} Optimum uses "),Ve=a("em"),lr=o("configuration objects"),mr=o(" to define parameters for graph optimization and quantization. These objects are then used to instantiate dedicated "),Ye=a("em"),pr=o("optimizers"),ur=o(" and "),Le=a("em"),fr=o("quantizers"),dr=o("."),$t=u(),w=a("p"),cr=o("Before applying quantization or optimization, first we need to load our model. To load a model and run inference with ONNX Runtime, you can just replace the canonical Transformers "),te=a("a"),Be=a("code"),hr=o("AutoModelForXxx"),gr=o(" class with the corresponding "),re=a("a"),Je=a("code"),_r=o("ORTModelForXxx"),vr=o(" class. If you want to load from a PyTorch checkpoint, set "),Ke=a("code"),Tr=o("from_transformers=True"),wr=o(" to export your model to the ONNX format."),xt=u(),d(ae.$$.fragment),yt=u(),ze=a("p"),$r=o("Let\u2019s see now how we can apply dynamic quantization with ONNX Runtime:"),At=u(),d(oe.$$.fragment),kt=u(),x=a("p"),xr=o("In this example, we\u2019ve quantized a model from the Hugging Face Hub, in the same manner we can quantize a model hosted locally by providing the path to the directory containing the model weights. The result from applying the "),We=a("code"),yr=o("quantize()"),Ar=o(" method is a "),Ze=a("code"),kr=o("model_quantized.onnx"),qr=o(" file that can be used to run inference. Here\u2019s an example of how to load an ONNX Runtime model and generate predictions with it:"),qt=u(),d(ne.$$.fragment),bt=u(),y=a("p"),br=o("You can find more examples in the "),ie=a("a"),Or=o("documentation"),Er=o(" and in the "),se=a("a"),zr=o("examples"),Nr=o("."),Ot=u(),I=a("h4"),U=a("a"),et=a("span"),d(le.$$.fragment),jr=u(),tt=a("span"),Pr=o("Intel"),Et=u(),$=a("p"),Rr=o("To load a model and run inference with OpenVINO Runtime, you can just replace your "),rt=a("code"),Ir=o("AutoModelForXxx"),Cr=o(" class with the corresponding "),at=a("code"),Hr=o("OVModelForXxx"),Sr=o(` class.
If you want to load a PyTorch checkpoint, set `),ot=a("code"),Xr=o("from_transformers=True"),Mr=o(" to convert your model to the OpenVINO IR (Intermediate Representation)."),zt=u(),d(me.$$.fragment),Nt=u(),A=a("p"),Fr=o("You can find more examples in the "),pe=a("a"),Dr=o("documentation"),Ur=o(" and in the "),ue=a("a"),Gr=o("examples"),Qr=o("."),jt=u(),C=a("h2"),G=a("a"),nt=a("span"),d(fe.$$.fragment),Vr=u(),it=a("span"),Yr=o("Accelerated training"),Pt=u(),H=a("h4"),Q=a("a"),st=a("span"),d(de.$$.fragment),Lr=u(),lt=a("span"),Br=o("Habana"),Rt=u(),k=a("p"),Jr=o("To train transformers on Habana\u2019s Gaudi processors, \u{1F917} Optimum provides a "),mt=a("code"),Kr=o("GaudiTrainer"),Wr=o(" that is very similar to the \u{1F917} Transformers "),ce=a("a"),Zr=o("Trainer"),ea=o(". Here is a simple example:"),It=u(),d(he.$$.fragment),Ct=u(),q=a("p"),ta=o("You can find more examples in the "),ge=a("a"),ra=o("documentation"),aa=o(" and in the "),_e=a("a"),oa=o("examples"),na=o("."),Ht=u(),S=a("h4"),V=a("a"),pt=a("span"),d(ve.$$.fragment),ia=u(),ut=a("span"),sa=o("Graphcore"),St=u(),b=a("p"),la=o("To train transformers on Graphcore\u2019s IPUs, \u{1F917} Optimum provides a "),ft=a("code"),ma=o("IPUTrainer"),pa=o(" that is very similar to the \u{1F917} Transformers "),Te=a("a"),ua=o("Trainer"),fa=o(". Here is a simple example:"),Xt=u(),d(we.$$.fragment),Mt=u(),O=a("p"),da=o("You can find more examples in the "),$e=a("a"),ca=o("documentation"),ha=o(" and in the "),xe=a("a"),ga=o("examples"),_a=o("."),Ft=u(),X=a("h4"),Y=a("a"),dt=a("span"),d(ye.$$.fragment),va=u(),ct=a("span"),Ta=o("ONNX Runtime"),Dt=u(),E=a("p"),wa=o("To train transformers with ONNX Runtime\u2019s acceleration features, \u{1F917} Optimum provides a "),ht=a("code"),$a=o("ORTTrainer"),xa=o(" that is very similar to the \u{1F917} Transformers "),Ae=a("a"),ya=o("Trainer"),Aa=o(". Here is a simple example:"),Ut=u(),d(ke.$$.fragment),Gt=u(),z=a("p"),ka=o("You can find more examples in the "),qe=a("a"),qa=o("documentation"),ba=o(" and in the "),be=a("a"),Oa=o("examples"),Ea=o("."),this.h()},l(e){const m=Co('[data-svelte="svelte-1phssyn"]',document.head);N=n(m,"META",{name:!0,content:!0}),m.forEach(r),gt=f(e),j=n(e,"H1",{class:!0});var Vt=s(j);M=n(Vt,"A",{id:!0,class:!0,href:!0});var Na=s(M);Me=n(Na,"SPAN",{});var ja=s(Me);c(W.$$.fragment,ja),ja.forEach(r),Na.forEach(r),er=f(Vt),Fe=n(Vt,"SPAN",{});var Pa=s(Fe);tr=i(Pa,"Quick tour"),Pa.forEach(r),Vt.forEach(r),_t=f(e),Ee=n(e,"P",{});var Ra=s(Ee);rr=i(Ra,"This quick tour is intended for developers who are ready to dive into the code and see examples of how to integrate \u{1F917} Optimum into their model training and inference workflows."),Ra.forEach(r),vt=f(e),P=n(e,"H2",{class:!0});var Yt=s(P);F=n(Yt,"A",{id:!0,class:!0,href:!0});var Ia=s(F);De=n(Ia,"SPAN",{});var Ca=s(De);c(Z.$$.fragment,Ca),Ca.forEach(r),Ia.forEach(r),ar=f(Yt),Ue=n(Yt,"SPAN",{});var Ha=s(Ue);or=i(Ha,"Accelerated inference"),Ha.forEach(r),Yt.forEach(r),Tt=f(e),R=n(e,"H4",{class:!0});var Lt=s(R);D=n(Lt,"A",{id:!0,class:!0,href:!0});var Sa=s(D);Ge=n(Sa,"SPAN",{});var Xa=s(Ge);c(ee.$$.fragment,Xa),Xa.forEach(r),Sa.forEach(r),nr=f(Lt),Qe=n(Lt,"SPAN",{});var Ma=s(Qe);ir=i(Ma,"ONNX Runtime"),Ma.forEach(r),Lt.forEach(r),wt=f(e),T=n(e,"P",{});var L=s(T);sr=i(L,"To accelerate inference with ONNX Runtime, \u{1F917} Optimum uses "),Ve=n(L,"EM",{});var Fa=s(Ve);lr=i(Fa,"configuration objects"),Fa.forEach(r),mr=i(L," to define parameters for graph optimization and quantization. These objects are then used to instantiate dedicated "),Ye=n(L,"EM",{});var Da=s(Ye);pr=i(Da,"optimizers"),Da.forEach(r),ur=i(L," and "),Le=n(L,"EM",{});var Ua=s(Le);fr=i(Ua,"quantizers"),Ua.forEach(r),dr=i(L,"."),L.forEach(r),$t=f(e),w=n(e,"P",{});var B=s(w);cr=i(B,"Before applying quantization or optimization, first we need to load our model. To load a model and run inference with ONNX Runtime, you can just replace the canonical Transformers "),te=n(B,"A",{href:!0,rel:!0});var Ga=s(te);Be=n(Ga,"CODE",{});var Qa=s(Be);hr=i(Qa,"AutoModelForXxx"),Qa.forEach(r),Ga.forEach(r),gr=i(B," class with the corresponding "),re=n(B,"A",{href:!0,rel:!0});var Va=s(re);Je=n(Va,"CODE",{});var Ya=s(Je);_r=i(Ya,"ORTModelForXxx"),Ya.forEach(r),Va.forEach(r),vr=i(B," class. If you want to load from a PyTorch checkpoint, set "),Ke=n(B,"CODE",{});var La=s(Ke);Tr=i(La,"from_transformers=True"),La.forEach(r),wr=i(B," to export your model to the ONNX format."),B.forEach(r),xt=f(e),c(ae.$$.fragment,e),yt=f(e),ze=n(e,"P",{});var Ba=s(ze);$r=i(Ba,"Let\u2019s see now how we can apply dynamic quantization with ONNX Runtime:"),Ba.forEach(r),At=f(e),c(oe.$$.fragment,e),kt=f(e),x=n(e,"P",{});var Ne=s(x);xr=i(Ne,"In this example, we\u2019ve quantized a model from the Hugging Face Hub, in the same manner we can quantize a model hosted locally by providing the path to the directory containing the model weights. The result from applying the "),We=n(Ne,"CODE",{});var Ja=s(We);yr=i(Ja,"quantize()"),Ja.forEach(r),Ar=i(Ne," method is a "),Ze=n(Ne,"CODE",{});var Ka=s(Ze);kr=i(Ka,"model_quantized.onnx"),Ka.forEach(r),qr=i(Ne," file that can be used to run inference. Here\u2019s an example of how to load an ONNX Runtime model and generate predictions with it:"),Ne.forEach(r),qt=f(e),c(ne.$$.fragment,e),bt=f(e),y=n(e,"P",{});var je=s(y);br=i(je,"You can find more examples in the "),ie=n(je,"A",{href:!0,rel:!0});var Wa=s(ie);Or=i(Wa,"documentation"),Wa.forEach(r),Er=i(je," and in the "),se=n(je,"A",{href:!0,rel:!0});var Za=s(se);zr=i(Za,"examples"),Za.forEach(r),Nr=i(je,"."),je.forEach(r),Ot=f(e),I=n(e,"H4",{class:!0});var Bt=s(I);U=n(Bt,"A",{id:!0,class:!0,href:!0});var eo=s(U);et=n(eo,"SPAN",{});var to=s(et);c(le.$$.fragment,to),to.forEach(r),eo.forEach(r),jr=f(Bt),tt=n(Bt,"SPAN",{});var ro=s(tt);Pr=i(ro,"Intel"),ro.forEach(r),Bt.forEach(r),Et=f(e),$=n(e,"P",{});var J=s($);Rr=i(J,"To load a model and run inference with OpenVINO Runtime, you can just replace your "),rt=n(J,"CODE",{});var ao=s(rt);Ir=i(ao,"AutoModelForXxx"),ao.forEach(r),Cr=i(J," class with the corresponding "),at=n(J,"CODE",{});var oo=s(at);Hr=i(oo,"OVModelForXxx"),oo.forEach(r),Sr=i(J,` class.
If you want to load a PyTorch checkpoint, set `),ot=n(J,"CODE",{});var no=s(ot);Xr=i(no,"from_transformers=True"),no.forEach(r),Mr=i(J," to convert your model to the OpenVINO IR (Intermediate Representation)."),J.forEach(r),zt=f(e),c(me.$$.fragment,e),Nt=f(e),A=n(e,"P",{});var Pe=s(A);Fr=i(Pe,"You can find more examples in the "),pe=n(Pe,"A",{href:!0,rel:!0});var io=s(pe);Dr=i(io,"documentation"),io.forEach(r),Ur=i(Pe," and in the "),ue=n(Pe,"A",{href:!0,rel:!0});var so=s(ue);Gr=i(so,"examples"),so.forEach(r),Qr=i(Pe,"."),Pe.forEach(r),jt=f(e),C=n(e,"H2",{class:!0});var Jt=s(C);G=n(Jt,"A",{id:!0,class:!0,href:!0});var lo=s(G);nt=n(lo,"SPAN",{});var mo=s(nt);c(fe.$$.fragment,mo),mo.forEach(r),lo.forEach(r),Vr=f(Jt),it=n(Jt,"SPAN",{});var po=s(it);Yr=i(po,"Accelerated training"),po.forEach(r),Jt.forEach(r),Pt=f(e),H=n(e,"H4",{class:!0});var Kt=s(H);Q=n(Kt,"A",{id:!0,class:!0,href:!0});var uo=s(Q);st=n(uo,"SPAN",{});var fo=s(st);c(de.$$.fragment,fo),fo.forEach(r),uo.forEach(r),Lr=f(Kt),lt=n(Kt,"SPAN",{});var co=s(lt);Br=i(co,"Habana"),co.forEach(r),Kt.forEach(r),Rt=f(e),k=n(e,"P",{});var Re=s(k);Jr=i(Re,"To train transformers on Habana\u2019s Gaudi processors, \u{1F917} Optimum provides a "),mt=n(Re,"CODE",{});var ho=s(mt);Kr=i(ho,"GaudiTrainer"),ho.forEach(r),Wr=i(Re," that is very similar to the \u{1F917} Transformers "),ce=n(Re,"A",{href:!0,rel:!0});var go=s(ce);Zr=i(go,"Trainer"),go.forEach(r),ea=i(Re,". Here is a simple example:"),Re.forEach(r),It=f(e),c(he.$$.fragment,e),Ct=f(e),q=n(e,"P",{});var Ie=s(q);ta=i(Ie,"You can find more examples in the "),ge=n(Ie,"A",{href:!0,rel:!0});var _o=s(ge);ra=i(_o,"documentation"),_o.forEach(r),aa=i(Ie," and in the "),_e=n(Ie,"A",{href:!0,rel:!0});var vo=s(_e);oa=i(vo,"examples"),vo.forEach(r),na=i(Ie,"."),Ie.forEach(r),Ht=f(e),S=n(e,"H4",{class:!0});var Wt=s(S);V=n(Wt,"A",{id:!0,class:!0,href:!0});var To=s(V);pt=n(To,"SPAN",{});var wo=s(pt);c(ve.$$.fragment,wo),wo.forEach(r),To.forEach(r),ia=f(Wt),ut=n(Wt,"SPAN",{});var $o=s(ut);sa=i($o,"Graphcore"),$o.forEach(r),Wt.forEach(r),St=f(e),b=n(e,"P",{});var Ce=s(b);la=i(Ce,"To train transformers on Graphcore\u2019s IPUs, \u{1F917} Optimum provides a "),ft=n(Ce,"CODE",{});var xo=s(ft);ma=i(xo,"IPUTrainer"),xo.forEach(r),pa=i(Ce," that is very similar to the \u{1F917} Transformers "),Te=n(Ce,"A",{href:!0,rel:!0});var yo=s(Te);ua=i(yo,"Trainer"),yo.forEach(r),fa=i(Ce,". Here is a simple example:"),Ce.forEach(r),Xt=f(e),c(we.$$.fragment,e),Mt=f(e),O=n(e,"P",{});var He=s(O);da=i(He,"You can find more examples in the "),$e=n(He,"A",{href:!0,rel:!0});var Ao=s($e);ca=i(Ao,"documentation"),Ao.forEach(r),ha=i(He," and in the "),xe=n(He,"A",{href:!0,rel:!0});var ko=s(xe);ga=i(ko,"examples"),ko.forEach(r),_a=i(He,"."),He.forEach(r),Ft=f(e),X=n(e,"H4",{class:!0});var Zt=s(X);Y=n(Zt,"A",{id:!0,class:!0,href:!0});var qo=s(Y);dt=n(qo,"SPAN",{});var bo=s(dt);c(ye.$$.fragment,bo),bo.forEach(r),qo.forEach(r),va=f(Zt),ct=n(Zt,"SPAN",{});var Oo=s(ct);Ta=i(Oo,"ONNX Runtime"),Oo.forEach(r),Zt.forEach(r),Dt=f(e),E=n(e,"P",{});var Se=s(E);wa=i(Se,"To train transformers with ONNX Runtime\u2019s acceleration features, \u{1F917} Optimum provides a "),ht=n(Se,"CODE",{});var Eo=s(ht);$a=i(Eo,"ORTTrainer"),Eo.forEach(r),xa=i(Se," that is very similar to the \u{1F917} Transformers "),Ae=n(Se,"A",{href:!0,rel:!0});var zo=s(Ae);ya=i(zo,"Trainer"),zo.forEach(r),Aa=i(Se,". Here is a simple example:"),Se.forEach(r),Ut=f(e),c(ke.$$.fragment,e),Gt=f(e),z=n(e,"P",{});var Xe=s(z);ka=i(Xe,"You can find more examples in the "),qe=n(Xe,"A",{href:!0,rel:!0});var No=s(qe);qa=i(No,"documentation"),No.forEach(r),ba=i(Xe," and in the "),be=n(Xe,"A",{href:!0,rel:!0});var jo=s(be);Oa=i(jo,"examples"),jo.forEach(r),Ea=i(Xe,"."),Xe.forEach(r),this.h()},h(){l(N,"name","hf:doc:metadata"),l(N,"content",JSON.stringify(Mo)),l(M,"id","quick-tour"),l(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(M,"href","#quick-tour"),l(j,"class","relative group"),l(F,"id","accelerated-inference"),l(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(F,"href","#accelerated-inference"),l(P,"class","relative group"),l(D,"id","onnx-runtime"),l(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(D,"href","#onnx-runtime"),l(R,"class","relative group"),l(te,"href","https://huggingface.co/docs/transformers/model_doc/auto#transformers.AutoModel"),l(te,"rel","nofollow"),l(re,"href","https://huggingface.co/docs/optimum/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),l(re,"rel","nofollow"),l(ie,"href","https://huggingface.co/docs/optimum/onnxruntime/quickstart"),l(ie,"rel","nofollow"),l(se,"href","https://github.com/huggingface/optimum/tree/main/examples/onnxruntime"),l(se,"rel","nofollow"),l(U,"id","intel"),l(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(U,"href","#intel"),l(I,"class","relative group"),l(pe,"href","https://huggingface.co/docs/optimum/intel/inference"),l(pe,"rel","nofollow"),l(ue,"href","https://github.com/huggingface/optimum-intel/tree/main/examples/openvino"),l(ue,"rel","nofollow"),l(G,"id","accelerated-training"),l(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(G,"href","#accelerated-training"),l(C,"class","relative group"),l(Q,"id","habana"),l(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Q,"href","#habana"),l(H,"class","relative group"),l(ce,"href","https://huggingface.co/docs/transformers/main_classes/trainer"),l(ce,"rel","nofollow"),l(ge,"href","https://huggingface.co/docs/optimum/habana/quickstart"),l(ge,"rel","nofollow"),l(_e,"href","https://github.com/huggingface/optimum-habana/tree/main/examples"),l(_e,"rel","nofollow"),l(V,"id","graphcore"),l(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(V,"href","#graphcore"),l(S,"class","relative group"),l(Te,"href","https://huggingface.co/docs/transformers/main_classes/trainer"),l(Te,"rel","nofollow"),l($e,"href","https://huggingface.co/docs/optimum/graphcore/quickstart"),l($e,"rel","nofollow"),l(xe,"href","https://github.com/huggingface/optimum-graphcore/tree/main/examples"),l(xe,"rel","nofollow"),l(Y,"id","onnx-runtime"),l(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Y,"href","#onnx-runtime"),l(X,"class","relative group"),l(Ae,"href","https://huggingface.co/docs/transformers/main_classes/trainer"),l(Ae,"rel","nofollow"),l(qe,"href","https://huggingface.co/docs/optimum/onnxruntime/usage_guides/trainer"),l(qe,"rel","nofollow"),l(be,"href","https://github.com/huggingface/optimum/tree/main/examples/onnxruntime/training"),l(be,"rel","nofollow")},m(e,m){t(document.head,N),p(e,gt,m),p(e,j,m),t(j,M),t(M,Me),h(W,Me,null),t(j,er),t(j,Fe),t(Fe,tr),p(e,_t,m),p(e,Ee,m),t(Ee,rr),p(e,vt,m),p(e,P,m),t(P,F),t(F,De),h(Z,De,null),t(P,ar),t(P,Ue),t(Ue,or),p(e,Tt,m),p(e,R,m),t(R,D),t(D,Ge),h(ee,Ge,null),t(R,nr),t(R,Qe),t(Qe,ir),p(e,wt,m),p(e,T,m),t(T,sr),t(T,Ve),t(Ve,lr),t(T,mr),t(T,Ye),t(Ye,pr),t(T,ur),t(T,Le),t(Le,fr),t(T,dr),p(e,$t,m),p(e,w,m),t(w,cr),t(w,te),t(te,Be),t(Be,hr),t(w,gr),t(w,re),t(re,Je),t(Je,_r),t(w,vr),t(w,Ke),t(Ke,Tr),t(w,wr),p(e,xt,m),h(ae,e,m),p(e,yt,m),p(e,ze,m),t(ze,$r),p(e,At,m),h(oe,e,m),p(e,kt,m),p(e,x,m),t(x,xr),t(x,We),t(We,yr),t(x,Ar),t(x,Ze),t(Ze,kr),t(x,qr),p(e,qt,m),h(ne,e,m),p(e,bt,m),p(e,y,m),t(y,br),t(y,ie),t(ie,Or),t(y,Er),t(y,se),t(se,zr),t(y,Nr),p(e,Ot,m),p(e,I,m),t(I,U),t(U,et),h(le,et,null),t(I,jr),t(I,tt),t(tt,Pr),p(e,Et,m),p(e,$,m),t($,Rr),t($,rt),t(rt,Ir),t($,Cr),t($,at),t(at,Hr),t($,Sr),t($,ot),t(ot,Xr),t($,Mr),p(e,zt,m),h(me,e,m),p(e,Nt,m),p(e,A,m),t(A,Fr),t(A,pe),t(pe,Dr),t(A,Ur),t(A,ue),t(ue,Gr),t(A,Qr),p(e,jt,m),p(e,C,m),t(C,G),t(G,nt),h(fe,nt,null),t(C,Vr),t(C,it),t(it,Yr),p(e,Pt,m),p(e,H,m),t(H,Q),t(Q,st),h(de,st,null),t(H,Lr),t(H,lt),t(lt,Br),p(e,Rt,m),p(e,k,m),t(k,Jr),t(k,mt),t(mt,Kr),t(k,Wr),t(k,ce),t(ce,Zr),t(k,ea),p(e,It,m),h(he,e,m),p(e,Ct,m),p(e,q,m),t(q,ta),t(q,ge),t(ge,ra),t(q,aa),t(q,_e),t(_e,oa),t(q,na),p(e,Ht,m),p(e,S,m),t(S,V),t(V,pt),h(ve,pt,null),t(S,ia),t(S,ut),t(ut,sa),p(e,St,m),p(e,b,m),t(b,la),t(b,ft),t(ft,ma),t(b,pa),t(b,Te),t(Te,ua),t(b,fa),p(e,Xt,m),h(we,e,m),p(e,Mt,m),p(e,O,m),t(O,da),t(O,$e),t($e,ca),t(O,ha),t(O,xe),t(xe,ga),t(O,_a),p(e,Ft,m),p(e,X,m),t(X,Y),t(Y,dt),h(ye,dt,null),t(X,va),t(X,ct),t(ct,Ta),p(e,Dt,m),p(e,E,m),t(E,wa),t(E,ht),t(ht,$a),t(E,xa),t(E,Ae),t(Ae,ya),t(E,Aa),p(e,Ut,m),h(ke,e,m),p(e,Gt,m),p(e,z,m),t(z,ka),t(z,qe),t(qe,qa),t(z,ba),t(z,be),t(be,Oa),t(z,Ea),Qt=!0},p:Ho,i(e){Qt||(g(W.$$.fragment,e),g(Z.$$.fragment,e),g(ee.$$.fragment,e),g(ae.$$.fragment,e),g(oe.$$.fragment,e),g(ne.$$.fragment,e),g(le.$$.fragment,e),g(me.$$.fragment,e),g(fe.$$.fragment,e),g(de.$$.fragment,e),g(he.$$.fragment,e),g(ve.$$.fragment,e),g(we.$$.fragment,e),g(ye.$$.fragment,e),g(ke.$$.fragment,e),Qt=!0)},o(e){_(W.$$.fragment,e),_(Z.$$.fragment,e),_(ee.$$.fragment,e),_(ae.$$.fragment,e),_(oe.$$.fragment,e),_(ne.$$.fragment,e),_(le.$$.fragment,e),_(me.$$.fragment,e),_(fe.$$.fragment,e),_(de.$$.fragment,e),_(he.$$.fragment,e),_(ve.$$.fragment,e),_(we.$$.fragment,e),_(ye.$$.fragment,e),_(ke.$$.fragment,e),Qt=!1},d(e){r(N),e&&r(gt),e&&r(j),v(W),e&&r(_t),e&&r(Ee),e&&r(vt),e&&r(P),v(Z),e&&r(Tt),e&&r(R),v(ee),e&&r(wt),e&&r(T),e&&r($t),e&&r(w),e&&r(xt),v(ae,e),e&&r(yt),e&&r(ze),e&&r(At),v(oe,e),e&&r(kt),e&&r(x),e&&r(qt),v(ne,e),e&&r(bt),e&&r(y),e&&r(Ot),e&&r(I),v(le),e&&r(Et),e&&r($),e&&r(zt),v(me,e),e&&r(Nt),e&&r(A),e&&r(jt),e&&r(C),v(fe),e&&r(Pt),e&&r(H),v(de),e&&r(Rt),e&&r(k),e&&r(It),v(he,e),e&&r(Ct),e&&r(q),e&&r(Ht),e&&r(S),v(ve),e&&r(St),e&&r(b),e&&r(Xt),v(we,e),e&&r(Mt),e&&r(O),e&&r(Ft),e&&r(X),v(ye),e&&r(Dt),e&&r(E),e&&r(Ut),v(ke,e),e&&r(Gt),e&&r(z)}}}const Mo={local:"quick-tour",sections:[{local:"accelerated-inference",sections:[{local:"onnx-runtime",title:"ONNX Runtime"},{local:"intel",title:"Intel"}],title:"Accelerated inference"},{local:"accelerated-training",sections:[{local:"habana",title:"Habana"},{local:"graphcore",title:"Graphcore"},{local:"onnx-runtime",title:"ONNX Runtime"}],title:"Accelerated training"}],title:"Quick tour"};function Fo(za){return So(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Qo extends Po{constructor(N){super();Ro(this,N,Fo,Xo,Io,{})}}export{Qo as default,Mo as metadata};
